[SOLVED] ahcich0 timeout



  • Hello,
    Im new to pfSense and would like to try it but during install I receive ahcich0 timeout error. I have searched this and other forums for the solitution, tried advices but no luck. Still getting the same error when installing pfSense 2.3.3
    I have checked all options in BIOS but again, no luck. What is more bizzare, that when installing OPNSense 17.1, everything is ok. However I really would like to install pfSense rather than OPNSense. Any advise guys?



  • I have tried 
    set hint.ahci.0.msi="0"
    Also
    Set hint.ahcich.0.sata_rev="2"
    I have tried other HDDs and all the settings in BIOS
    It boots only on Legacy setting.

    Still same problem. When installing pfSense 2.3.3
    I get  ahcich timeout in slot …..
    And CAM status: command timeout
    Any help?


  • Rebel Alliance Developer Netgate

    Must be some difference in the installer or handling of that disk controller.

    Try a 2.4 snapshot from https://snapshots.pfsense.org/



  • same thing…
    during install, when executing commands

    /sbin/bsdlabel - B -r -w ada0s1 auto

    on 77% throws errors:

    ahcich0: Timeout on slot 10 port 0
    ahcich0: is 00000000 cs 00000400 ss 00000400 rs 00000400 tfd 40 serr 00000000 cm 0000c917
    ada0:ahcich0:0:0:0): WRITE_FPDMA_QUEUED. ACB: 61 10 3f 00 00 40 00 00 00 00 00 00
    ada0:ahcich0:0:0:0): CAM statuis: Command timeout
    ada0:ahcich0:0:0:0) Retrying command

    :(

    what is the difference between OPNSense and pfSense latest versions, that OPNSense installs with no errors and pfSense failes?

    Maybe I should try earlier version of pfSense?



  • Sorry, I have tried 2.3.4 which causes the same error

    2.4 is only for AMD and I am running on intel


  • Rebel Alliance Developer Netgate

    amd64 is 64-bit Intel and AMD.

    i386 is 32-bit only.

    2.4 works on Intel and AMD 64-bit processors.

    https://en.wikipedia.org/wiki/X86-64#AMD64



  • Thanks, that helped. 2.4 installed with no errors :)

    but now Im wandering…... I was using pfSense 2.3.3 i386 on quite new PC. I have not tried 2.3.3 AMD64.
    Maybe that was the problem? I will try and reply soon. Just to confirm ;)



  • It works installing 2.3.3 AMD64. no errors

    thanks